# API

Import Monkeybread as:

```
import monkeybread as mb
```

## Calculations: `calc`

```{eval-rst}
.. module:: monkeybread.calc
.. currentmodule:: monkeybread

.. autosummary::
    :toctree: generated

    calc.cellular_niches
    calc.neighborhood_profile
    calc.cell_density
    calc.ligand_receptor_score
    calc.ligand_receptor_score_per_niche
    calc.shortest_distances
    calc.shortest_distances_pairwise
    calc.cell_neighbors
    calc.cell_neighbors_from_masks
    calc.number_of_neighbors
    calc.number_of_neighbors_from_masks
```

## Plotting: `plot`

```{eval-rst}
.. module:: monkeybread.plot
.. currentmodule:: monkeybread

.. autosummary::
    :toctree: generated

    plot.neighbors_profile_matrixplot
    plot.cell_density
    plot.location_and_density
    plot.shortest_distances
    plot.shortest_distances_pairwise
    plot.cell_neighbor_embedding
    plot.number_of_neighbors
    plot.embedding_filter
    plot.embedding_zoom
    plot.ligand_receptor_scatter
    plot.ligand_receptor_embedding
    plot.ligand_receptor_embedding_zoom
    plot.ligand_receptor_score_barplot_per_niche
    plot.ligand_receptor_score_heatmap_per_niche
```

## Statistical Tests: `stat`

```{eval-rst}
.. module:: monkeybread.stat
.. currentmodule:: monkeybread

.. autosummary::
    :toctree: generated

    stat.shortest_distances
    stat.shortest_distances_pairwise
    stat.ligand_receptor_score
```

## Utility Functions: `util`

```{eval-rst}
.. module:: monkeybread.util
.. currentmodule:: monkeybread

.. autosummary::
    :toctree: generated

    util.load_merscope
    util.subset_cells
    util.load_ligand_receptor_pairs_omnipath
```
